Bug 171281 - cdrecord cannot read the atip code of a burned CD
cdrecord cannot read the atip code of a burned CD
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
4
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 07:17 EDT by Joachim Backes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 04:42:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2005-10-20 07:17:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have attached to my PC an Plextor DVD ROM (cdrecord -scanbus reports:
  1,1,0   101) 'PLEXTOR ' 'DVD-ROM PX-116A3' '1.00' Removable CD-ROM

IDE: /dev/hdd

Now I insert a burned CD into this drive for reading the atip code:

Calling the command

                    cdrecord -atip dev=/dev/hdd

reports:

=========================== OUTPUT ================================
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 J\uffff\uffffrg Schill ing
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to http://bugzilla.redhat.com/ bugzilla
Note: The author of cdrecord should not be bothered with problems in this versio n.
scsidev: '/dev/hdd'
devname: '/dev/hdd'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c        1.83 04/05/20 Copyright 1997 J. Schilling').
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'PLEXTOR '
Identifikation : 'DVD-ROM PX-116A3'
Revision       : '1.00'
Device seems to be: Generic mmc2 DVD-ROM.
cdrecord: Sorry, no CD/DVD-Recorder or unsupported CD/DVD-Recorder found on this  target.
================================================================================

Especially the last line of output is very weird.



Version-Release number of selected component (if applicable):
cdrecord-2.01.1-9.0.FC4.1

How reproducible:
Always

Steps to Reproduce:
1.Insert the CD in the PLEXTOR drive
2. cdrecord -atip dev=/dev/hdd
  

Actual Results:  cdrecord reports a wrong message

Expected Results:  ATIP info from disk:
  Indicated writing power: 3
  Reference speed: 6
  Is not unrestricted
  Is erasable
  Disk sub type: High speed Rewritable (CAV) media (1)
  ATIP start of lead in:  -11745 (97:25/30)
  ATIP start of lead out: 359848 (79:59/73)
  1T speed low:  4 1T speed high: 10
  2T speed low:  4 2T speed high:  0 (reserved val  6)
  power mult factor: 1 5
  recommended erase/write power: 5
  A1 values: 24 1A D8
  A2 values: 26 B2 4A
Disk type:    Phase change
Manuf. index: 40
Manufacturer: INFODISC Technology Co., Ltd.


Additional info:

No problems, I if use another drive like 

'HP      ' 'DVD Writer 640c ' 'CS30' Removable CD-ROM
Comment 1 Christian Iseli 2007-01-19 19:58:28 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Joachim Backes 2007-01-23 12:56:44 EST
Under FC6, all OK. No more problems. Call may be closed.

Note You need to log in before you can comment on or make changes to this bug.